.upper-case{
  text-transform: uppercase;
}

input.not-valid,  textarea.not-valid, i.not-valid{
border: 1px solid rgba(154, 4, 4,1) !important;
}

input.is-valid1, select.is-valid1, textarea.is-valid1,i.is-valid1{
border: 1px solid #78bd35 !important;

}

input.is-valid1[type="checkbox"], i#chek_error.isvalid1{
border: 1px solid rgba(120, 189, 53,1) !important;
}

input.not-valid[type="checkbox"], i#chek_error.not-valid{
border: 1px solid rgba(154, 4, 4,1) !important;
}

input.is-valid1[type="radio"]{
border: 1px solid rgba(120, 189, 53,1) !important;
}

input.not-valid[type="radio"]{
border: 1px solid rgba(154, 4, 4,1) !important;
}

.cursor{
cursor: pointer !important;
}


.loader, .loader-simulator{
display: none;
position: fixed;
left: 0;
top: 0;
z-index: 99999;
width: 100%;
height: 100%;
background: rgb(255 255 255 / 97%);
}



.spinner,.spinner:after{
  display: block;
  width: 50px;
  height: 50px;
  border-radius: 50%;
}

.spinner {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto;
  background-color: transparent;
  border-top: 5px solid #76b62a;
  border-right: 5px solid #76b62a;
  border-bottom: 5px solid #76b62a;
  border-left: 5px solid transparent;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
  animation-duration: 1s;
  animation-name: spinner-loading
}

@keyframes spinner-loading{
  0% {
      transform: rotate(0deg)
  } to {
      transform: rotate(1turn)
  }
}

.grecaptcha-badge {
  opacity: 0 !important;
}

.error-validate {
  position: absolute;
  left: 22px;
  bottom: -18px;
  color: #fd0404 !important;
  font-weight: 500;
  font-size: 15px !important;
  z-index: 9;
}

.simulator_results--cnt .simulator_content .simulator_results--text .results_data--content .simulator_total>a {
  font-size: 1.5rem;
}

p.link-termins {
  text-align: center;
  margin-top: -22px;
}

p.link-termins a{  
  color: #008996;
  letter-spacing: inherit;
}

.simulator_final--step_content > a {
  width: fit-content;
  height: fit-content;
  position: relative;
  display: flex;
  align-items: center;
  font-weight: 700;
  padding: 12px 15px;
  background: var(--purple);
  color: #fff;
  font-size: .93333em;
  border-radius: 30px;
  letter-spacing: 0.08em;
  transition: 0.4s ease-in-out;
  box-shadow: 15px 10px 25px #0000002e;
  margin: 0 auto;
  transform: translateY(-50%);
}

.simulator_final--step_content > a:hover {
  background: var(--blue);
}

.simulator_final--step_content > a img {
  width: 22px;
  margin-left: 10px;
  filter: brightness(0) invert(1);
  transition: 0.4s ease-in-out;
}

/* Estilos del website */

.srv_filter--content {
  width: 335px;
  display: none;
  position: absolute;
  left: 53%;
  top: 44px;
  padding: 20px;
  border-radius: 10px;
  background: #fff;
  box-shadow: 0 5px 25px #00000030;
  z-index: 2;
}

.srv_filter--content span.close_srv--filter {
  position: absolute;
  top: 5px;
  right: 10px;
  color: #008996;
  font-size: 1.875em;
  cursor: pointer;
  z-index: 1;
}

form.we-you-call ._form-input {
  width: 100%;
  position: relative;
  display: flex;
  flex-wrap: wrap;
  column-gap: 40px;
  row-gap: 11px;
  background: #fff;
  border-radius: 10px;
  padding: 13px 0px;
}
form.we-you-call  ._form-input ._input {
  position: relative;
  display: block;  
  width: 100%;
}

.we-you-call ._form-input ._input input {
  width: 100%;
  position: relative;
  display: block;
  border: 1px solid rgba(0,0,0,0.2);
  padding: 12px 20px;
  border-radius: 50px;
  letter-spacing: 0.08em;
  caret-color: var(--blue);
}

form.we-you-call ._submit {
  width: 100%;
  position: relative;
  display: flex;
  justify-content: flex-end;
  transform: translateY(-50%);
  margin-top: 35px;
    margin-bottom: -16px;
}

form.we-you-call ._submit button {
  width: fit-content;
  height: fit-content;
  position: relative;
  display: flex;
  align-items: center;
  font-weight: 700;
  padding: 12px 15px;
  background: var(--purple);
  color: #fff;
  font-size: .93333em;
  border-radius: 30px;
  letter-spacing: 0.08em;
  transition: 0.4s ease-in-out;
  padding: 10px 20px;
  box-shadow: 15px 10px 25px #0000002e;
}

form.we-you-call ._submit button img {
  width: 22px;
  margin-left: 10px;
  filter: brightness(0) invert(1);
  transition: 0.4s ease-in-out;
}

form.we-you-call ._check {
  width: 100%;
  position: relative;
  display: flex;
  align-items: flex-start;
}

form.we-you-call ._check label {
  width: 13px;
  height: 13px;
  position: relative;
  display: block;
  margin-right: 5px;
  cursor: pointer;
}

form.we-you-call ._check p {
  width: calc(100% - 20px);
  position: relative;
  display: block;
  line-height: 100%;
  font-size: .86667em;
  color: var(--gray);
}

form.we-you-call ._check p a {
  color: var(--blue);
  letter-spacing: inherit;
}

form.we-you-call ._form-input ._check label input[type=checkbox] {
  display: none;
}

form.we-you-call ._form-input  ._check label figure {
  width: 100%;
  height: 100%;
  position: relative;
  display: block;
  background: url(../img/icons/check.svg) no-repeat center;
  background-size: contain;
}

form.we-you-call ._form-input  ._check label>input:checked+figure {
  background: url(../img/icons/checked.svg) no-repeat center;
  background-size: contain;
}

.simulator_results--cnt .simulator_content .simulator_results--text .results_data--content .simulator_subtotal .sim_sub--final h5 {
  color: #67307b;
}

.projects_cnt .projects_content .prj_title {
  margin-top: 35px;
}

header .header_container .hd_top--bar {
  display: flex;
}

header .header_container .hd_top--bar .top_bar--content {
  width: 80%;
}

header .header_container .hd_top--bar .top_bar--content.social {
  width: 10%;
}

header .header_container .hd_top--bar .top_bar--content.social ul li a img, .ftr_newsletter--links ul li a img {
  width: 22px;
}

header .header_container .hd_top--bar .top_bar--content.social ul {
  display: flex;
}

header .header_container .hd_top--bar .top_bar--content.social ul li, .ftr_newsletter--links ul li {
  margin: 0 5px;
}

header .header_container .hd_top--bar .top_bar--content.social {
  width: 10%;
  margin-right: 7%;
}

.ftr_newsletter--links ul{
  display: flex;
  align-items: center;
}

.featured_project--cnt .ftr_prj--content .ftr_prj--info .ftr_prj--text .prj_links a.simulate_project {
  background: #67307b;
}

.simulator_block .simulator_block--cnt .simulator_content .simulator_text a {
  background: #67307b;
  color: #fff;
}

.simulator_block .simulator_block--cnt .simulator_content .simulator_text a:hover {
  background: #008996;
  color: #fff;
}

.project_banner--cnt .prj_bnr--contact .prj_links--data a.simulate {
  background: #67307b;
}

.simulator_block .simulator_block--cnt .simulator_content .simulator_text a img {
  width: 22px;
  margin-left: 10px;
  filter: brightness(0) invert(1);
  transition: 0.4s ease-in-out;
}

.sim_final--form ._form-input ._input p {
  width: fit-content;
  position: relative;
  display: block;
  margin-top: -8px;
  margin-bottom: 2px;
  color: #787a7c;
  margin-left: 15px;
}

.v-toast__item--error {
  background-color: #fd0404 !important;
}

.v-toast__item .v-toast__text {
  color:#fff !important;
  font-size: 18px;
}

.v-toast__item .v-toast__text strong{
  color:#fff !important;
  font-weight: 600;
  text-decoration: underline;
}

.sim_sub--values a {
  color: white;
  width: fit-content;
  position: relative;
  display: flex;
  justify-content: center;
  background: #67307b;
  margin: auto;
  padding: 6px 13px;
  border-radius: 100px;
  font-weight: 600;
}

.sim_sub--values .input {
  position: relative;
}

.sim_sub--values .input input {
  width: 100%;
    position: relative;
    display: block;
    border: 1px solid rgba(0,0,0,0.2);
    padding: 12px 20px;
    border-radius: 50px;
    letter-spacing: 0.08em;
    caret-color: #008996;
    margin-top: 5px;
    margin-bottom: -5px;
}

.sim_sub--values .input ._refresh {
  width: 39px;
  height: 43px;
  position: absolute;
  display: block;
  background: #fff;
  border-radius: 50%;
  right: 3px;
  top: 1px;
}

.sim_sub--values .input  ._refresh button {
  width: 100%;
  height: 100%;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.sim_sub--values .input ._refresh button img {
  width: 66%;
}

a.subsidy-terms {
  background: transparent;
  color: #008996;  
  text-align: center;
  letter-spacing: inherit;
  font-weight: 300;
}


@media (max-width: 3000px) {

}

@media (max-width: 1441px) {

}

@media (max-width: 1210px) {
}

@media (max-width: 1100px) {
}
@media (max-width: 1024px) {


}
@media (max-width: 768px) {
  .srv_filter--content {
    left: 54%;
    top: 61px;
  }
}
@media (max-width: 576px) {

  .error-validate {
      bottom: 44px;
  }

  label.error-validate.check {
    bottom: 21px;
  }

  label.error-validate.name, label.error-validate.phone {
    bottom: -14px;
  }

  .srv_filter--content {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    margin:auto;
    height: 320px;
  }

  header .header_container .hd_top--bar {
    display: block;
  }

  header .header_container .hd_top--bar .top_bar--content {
    width: 100%;
  }

  header .header_container .hd_top--bar .top_bar--content.social {
      width: 100%;
      margin-top: 11px;
  }
}

@media (max-width: 425px) {

  label.error-validate.email,label.error-validate.family_income {
    bottom: -18px;
  }

}

@media (max-width: 375px) {    
  
}

@media (max-width: 320px) {

  
}